Bug 1103578 - varnish bundles zlib
varnish bundles zlib
Status: NEW
Product: Fedora
Classification: Fedora
Component: varnish (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ingvar Hagelund
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-06-02 02:50 EDT by Ville Skyttä
Modified: 2016-07-26 00:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 07:35:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2014-06-02 02:50:01 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

varnish bundles zlib in lib/libvgz. According to lib/libvgz/README it is a modified version so chances are that a FPC exception and marking it in the specfile is the way forward here.
Comment 1 Ingvar Hagelund 2014-07-31 06:02:45 EDT
This libvgz is a patched variant of zlib, with highly varnish specific changes (thus the rename). The changes are not large, but the standard zlib version can't be used.

A way to resolve this could be to try to push the changes upstream, though as they are quite application specific, I guess they won't be included.

Another variant may be to try to push the changes for the fedora version of zlib, but that seems a bit strange as well.

I'm a bit unsure about what to do with this. I'll try upstream first, I guess.

Ingvar



Cut from IRC with varnish upstream:

11:24 < ingvar> are these (zlib) changes extremely varnish specific, or could other zlib users use them as new features?
11:24 < ingvar> (I guess you see where I'm working this :-)
11:25 < phk> ingvar, the changes you should look for are the start_bit, stop_bit and last_bit changes.
11:26 < phk> ingvar, they are not in any way general, so I didn't even want to try to push the up stream.
11:26 < phk> ingvar, you are of course welcome to try to push them upstream if you want...
11:27 < ingvar> If no one can use them other than varnish, they'll probably not be included
11:28 < phk> ingvar, well, they _can_ use them, but people would have to be insane enough to edit gzip files together before then need that info.
11:28 < ingvar> heh
11:28 < phk> libz has some rather marginal stuff, but I perceive this to be past even their threshold
11:29 < phk> ingvar, and for what it's worth:  I applaud them (fedora) for their "no copy&paste libraries" policy.
Comment 2 Ingvar Hagelund 2014-11-26 12:18:31 EST
I have contacted upstream (twice), via the general contact mail address as announced on the homepage, but haven't received any reply, so I'll try the devel list. I'll post as soon as my subscription is active (it seems to be manually moderated).

Meanwhile, I've produced a minimal patch for zlib:

http://users.linpro.no/ingvar/varnish/varnish_zlib_patch

If upstream never answers, it might be possible to apply this to the Fedora zlib package.

Ingvar
Comment 3 Ville Skyttä 2014-11-30 15:15:28 EST
If patching zlib is required, please contact zlib upstream instead of (or in addition to or before) the Fedora zlib maintainers.
Comment 4 Ingvar Hagelund 2015-01-13 05:11:32 EST
I finally got post access to the zlib dev mailing list. My request was received last week with one comment on how this could affect efficiency in zlib, and then utter silence.

So, still waiting for upstream.

Ingvar
Comment 5 Jaroslav Reznik 2015-03-03 10:51:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Fedora End Of Life 2016-07-19 07:35:44 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jan Kurik 2016-07-26 00:21:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Note You need to log in before you can comment on or make changes to this bug.